View Issue Details

IDProjectCategoryView StatusLast Update
0003773SymmetricDSBugpublic2018-11-28 11:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.15 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003773: With wildcards, rebuilding specific table trigger can result in multiple active triggers
DescriptionThe sync triggers process for all tables has logic to use the most specific trigger configuration for a table, but the sync trigger process for a single table trigger does not. This can result in the trigger rebuilding multiple times with multiple trigger history entries, but only one set of physical triggers on the table.
Steps To Reproduce1. Setup specific table to sync
2. Setup wildcard that also matches first table
3. Run "symadmin sync-triggers mytable" (or use Manage->Installed Triggers screen for mytable)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 8d128074

2018-10-29 16:16:51

admin

Details Diff
0003773: With wildcards, rebuilding specific table trigger can result in
multiple active triggers

0003773
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.10 075c9539

2018-10-29 16:16:51

admin

Details Diff
0003773: With wildcards, rebuilding specific table trigger can result in
multiple active triggers

0003773
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-10-29 16:16 elong New Issue
2018-10-29 16:16 elong Status new => assigned
2018-10-29 16:16 elong Assigned To => elong
2018-10-29 16:20 elong Status assigned => resolved
2018-10-29 16:20 elong Resolution open => fixed
2018-10-29 16:20 elong Fixed in Version => 3.9.15
2018-10-29 17:00 admin Changeset attached => SymmetricDS 3.9 8d128074
2018-10-31 14:59 mmichalek Status resolved => closed
2018-11-28 11:00 admin Changeset attached => SymmetricDS 3.10 075c9539